Bug 145517 - Missing line number information in debuginfo
Missing line number information in debuginfo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: cvs (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Martin Stransky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-19 03:01 EST by Vasile Gaburici
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-01 09:40:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vasile Gaburici 2005-01-19 03:01:23 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
The rpm spec sets CFLAGS at line 53 (if kerberos is present, at it is):
%{!?nokerberos:CFLAGS=${RPM_OPT_FLAGS}
-I${k5prefix}/include/kerberosIV; export CFLAGS}

This has two problems: 1st it is redundant, as the setting on the line
above it: "%{!?nokerberos:CPPFLAGS=-I${k5prefix}/include/kerberosIV;
export CPPFLAGS}" is sufficient to get the kerberos stuff included. If
you look at the build commands, the kerberos stuff is included twice
anyway.

2nd and worse problem is that the setting of CFLAGS clobbers
RPM_OPT_FLAGS which by default includes -g. This leads to line number
information being absent from the compiled executable and subsequently
from the debuginfo rpm, which lacks the sources due the same reason.

Simply removing line 53 in the spec fixes the problems.

Version-Release number of selected component (if applicable):
cvs-1.11.17-4

How reproducible:
Always

Steps to Reproduce:
See above.    

Additional info:

Note You need to log in before you can comment on or make changes to this bug.